body {
	width: 640px;
	height: 480px;
	margin: 0 auto;
	position: relative;
	background: #e6f2f5;
}
#setting {
	position: absolute;
	left: 0;
	right: 0;
	bottom: 20px;
	font-size: 24px;
	line-height: 40px;
	display: flex;
	justify-content: center;
	gap: 20px;
}
#qrcodes {
	display: grid;
	place-content: center;
	column-gap: 8px;
	row-gap: 8px;
	padding: 20px;
	height: 380px;

	&[data-count="8"] ,&[data-count="16"] { grid-template-columns: repeat(4, 84px) }
	&[data-count="24"] { grid-template-columns: repeat(6, 84px) }

	div {
		cursor: pointer;
		border: 2px solid black;
		background: #fff;
		&.hold, &.selected { border-color: white }

		img { opacity: 0 }
		&.selected img { opacity: 1 }
		&.hold img { opacity: 0.4 }
	}
}
#start {
	position: absolute;
	inset: 0;
	background: rgba(0,0,0,.8);
	z-index: 10;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	row-gap: 10px;

	#title {
		background: #fff;
		text-align: center;
		width: 544px;
	}

	.mode {
		width: 240px;
		font-size: 16px;
		cursor: pointer;
	}
}
#cards {
	display: grid;
	place-content: center;
	grid-template-columns: repeat(6, 84px);
	grid-template-rows: repeat(2, 108px);
	column-gap: 8px;
	row-gap: 8px;
	margin-bottom: 20px;
	
	.card {
		border: 2px solid #fff;
		span {
			display: block;
			text-align: center;
			background: #fff;
		}
	}
}
.hidden {
	display: none!important;
}